com.smartgwt.client.widgets.tree

## Class TreeGridField

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.DBCField
        - - com.smartgwt.client.widgets.grid.ListGridField
          - - com.smartgwt.client.widgets.tree.TreeGridField

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasCellSavedHandlers, HasChangedHandlers, HasChangeHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasRecordClickHandlers, HasValueIconClickHandlers

      public class TreeGridField
      extends ListGridField

  An object literal with a particular set of properties used to configure the display of and interaction with the columns of a `TreeGrid`. `TreeGrid` is a subclass of `ListGrid` and as a result, for all fields except the field containing the `Tree` itself (specified by `treeField`, all properties settable on `ListGridField` apply to TreeGridField as well.

  This class documents just those properties that are specific to TreeGridFields - see `ListGridField` for the set of inherited properties.

  See Also:
    `ListGridField`, `ListGrid.getFields()`, `ListGrid.setFields(com.smartgwt.client.widgets.grid.ListGridField...)`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeGridField()`
    `TreeGridField(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `TreeGridField(java.lang.String name)`
    `TreeGridField(java.lang.String name, int width)`
    `TreeGridField(java.lang.String name, java.lang.String title)`
    `TreeGridField(java.lang.String name, java.lang.String title, int width)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCanExport()` Dictates whether the data in this field be exported.
    `static TreeGridField` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getTreeField()` The field containing `treeField: true` will display the `Tree`.
    `TreeGridField` | `setCanExport(java.lang.Boolean canExport)` Dictates whether the data in this field be exported.
    `TreeGridField` | `setTreeField(java.lang.Boolean treeField)` The field containing `treeField: true` will display the `Tree`.

    - ### Methods inherited from class com.smartgwt.client.widgets.grid.ListGridField

      `addCellSavedHandler, addChangedHandler, addChangeHandler, addEditorEnterHandler, addEditorExitHandler, addRecordClickHandler, addSummaryFunction, addSummaryFunction, addValueIconClickHandler, formatCellValue, getAlign, getAllowFilterExpressions, getAllowFilterOperators, getAlwaysShowOperatorIcon, getApplyAfterSummary, getArrowKeyEditAction, getAutoComplete, getAutoFetchDisplayMap, getAutoFitWidth, getAutoFitWidthApproach, getAutoFreeze, getAutoFreezePosition, getBaseStyle, getCanAutoFitWidth, getCanDragResize, getCanEdit, getCanEditFormula, getCanEditSummary, getCanFilter, getCanFreeze, getCanGroupBy, getCanHide, getCanHilite, getCanReorder, getCanSort, getCanSortClientOnly, getCanToggle, getCellAlign, getCellIcon, getCellPrompt, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultGroupingMode, getDefaultIconSrc, getDefaultWidth, getDisplayField, getDisplayValueFromRecord, getEditorFormula, getEditorIconHeight, getEditorIconWidth, getEditorImageURLPrefix, getEditorImageURLSuffix, getEditorTextFormula, getEditorValueIconHeight, getEditorValueIconWidth, getEmptyCellValue, getEnterKeyEditAction, getEscapeHTML, getEscapeKeyEditAction, getExcludeFromState, getExportFieldWidth, getExportFormat, getExportRawNumbers, getExportRawValues, getFieldTitle, getFilterOnKeypress, getFilterOperator, getFormat, getFrozen, getGroupGranularity, getGroupingMode, getGroupingModes, getGroupPrecision, getHeaderBaseStyle, getHeaderButtonAriaRole, getHeaderButtonAriaState, getHeaderHoverDelay, getHeaderTitle, getHeaderTitleStyle, getHidden, getHideOnPhone, getHideOnTablet, getHiliteHTMLAfterFormat, getHiliteIconHeight, getHiliteIconLeftPadding, getHiliteIconPosition, getHiliteIconRightPadding, getHiliteIconSize, getHiliteIconWidth, getHoverDelay, getHoverWidth, getHoverWrap, getIcon, getIconCursor, getIconHeight, getIconOrientation, getIconSize, getIconSpacing, getIconVAlign, getIconWidth, getIgnoreKeyboardClicks, getImageHeight, getImageSize, getImageURLPrefix, getImageURLSuffix, getImageWidth, getIncludeFrom, getIncludeInRecordSummary, getIncludeInRecordSummaryFields, getInitialValue, getIsRemoveField, getLinkText, getLinkTextProperty, getLinkURLPrefix, getLinkURLSuffix, getListGrid, getMaxWidth, getMinWidth, getMultiple, getName, getOperator, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getPartialSummary, getPrompt, getRecordSummaryFunction, getRequired, getRotateTitle, getSelectCellTextOnClick, getShouldPrint, getShowAlternateStyle, getShowDefaultContextMenu, getShowDisabledIcon, getShowDownIcon, getShowEllipsisWhenClipped, getShowFileInline, getShowFocusedIcon, getShowGridSummary, getShowGroupSummary, getShowHilitesInGroupSummary, getShowHover, getShowHoverComponents, getShowRollOverIcon, getShowSelectedIcon, getShowTitle, getShowValueIconOnly, getSkipLineBreaks, getSortByDisplayField, getSortByMappedValue, getSortDirection, getSpannedHeaderBaseStyle, getSummaryTitle, getSummaryValue, getSummaryValueTitle, getSuppressValueIcon, getTarget, getTimeFormatter, getTitle, getType, getUserFormula, getUserSummary, getValidateOnChange, getValign, getValueField, getValueIconHeight, getValueIconLeftPadding, getValueIconOrientation, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getWidth, getWrap, setAlign, setAllowFilterExpressions, setAllowFilterOperators, setAlwaysShowOperatorIcon, setApplyAfterSummary, setArrowKeyEditAction, setAutoComplete, setAutoFetchDisplayMap, setAutoFitWidth, setAutoFitWidthApproach, setAutoFreeze, setBaseStyle, setCanAutoFitWidth, setCanDragResize, setCanEdit, setCanEditFormula, setCanEditSummary, setCanFilter, setCanFreeze, setCanGroupBy, setCanHide, setCanHilite, setCanReorder, setCanSort, setCanSortClientOnly, setCanToggle, setCellAlign, setCellFormatter, setCellIcon, setCellPrompt, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultGroupingMode, setDefaultIconSrc, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultWidth, setDisplayField, setDisplayValueFromRecord, setEditorFormula, setEditorIconHeight, setEditorIconWidth, setEditorImageURLPrefix, setEditorImageURLSuffix, setEditorProperties, setEditorTextFormula, setEditorType, setEditorType, setEditorType, setEditorValueIconHeight, setEditorValueIcons, setEditorValueIconWidth, setEditorValueMap, setEditorValueMapFunction, setEditValueFormatter, setEditValueParser, setEmptyCellValue, setEnterKeyEditAction, setEscapeHTML, setEscapeKeyEditAction, setExcludeFromState, setExportFieldWidth, setExportFormat, setExportRawNumbers, setExportRawValues, setFilterEditorProperties, setFilterEditorType, setFilterEditorType, setFilterEditorType, setFilterEditorValueMap, setFilterOnKeypress, setFilterOperator, setFormat, setFrozen, setGridSummaryCustomizer, setGroupGranularity, setGroupingMode, setGroupingModes, setGroupPrecision, setGroupSummaryCustomizer, setGroupTitleRenderer, setGroupValueFunction, setHeaderBaseStyle, setHeaderButtonAriaRole, setHeaderButtonAriaState, setHeaderButtonProperties, setHeaderHoverDelay, setHeaderTitle, setHeaderTitleStyle, setHidden, setHideOnPhone, setHideOnTablet, setHiliteHTMLAfterFormat, setHiliteIconHeight, setHiliteIconLeftPadding, setHiliteIconPosition, setHiliteIconRightPadding, setHiliteIconSize, setHiliteIconWidth, setHoverCustomizer, setHoverDelay, setHoverWidth, setHoverWrap, setIcon, setIconCursor, setIconHeight, setIconOrientation, setIcons, setIconSize, setIconSpacing, setIconVAlign, setIconWidth, setIgnoreKeyboardClicks, setImageHeight, setImageSize, setImageURLPrefix, setImageURLSuffix, setImageWidth, setImgDir, setInactiveCellFormatter, setIncludeFrom, setIncludeInRecordSummary, setIncludeInRecordSummaryFields, setInitialValue, setIsRemoveField, setLeaveHeaderMenuButtonSpace, setLinkText, setLinkTextProperty, setLinkURLPrefix, setLinkURLSuffix, setMaxWidth, setMinWidth, setMultiple, setName, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setPartialSummary, setPrompt, setRecordSummaryFunction, setRecordSummaryFunction, setRequired, setRotateTitle, setSelectCellTextOnClick, setShouldPrint, setShowAlternateStyle, setShowDefaultContextMenu, setShowDisabledIcon, setShowDownIcon, setShowEllipsisWhenClipped, setShowFileInline, setShowFocusedIcon, setShowGridSummary, setShowGroupSummary, setShowHilitesInGroupSummary, setShowHover, setShowHoverComponents, setShowIfCondition, setShowRollOverIcon, setShowSelectedIcon, setShowTitle, setShowValueIconOnly, setSkipLineBreaks, setSortByDisplayField, setSortByMappedValue, setSortDirection, setSortNormalizer, setSpannedHeaderBaseStyle, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryTitle, setSummaryValue, setSummaryValueTitle, setSuppressValueIcon, setTarget, setTimeFormatter, setTitle, setType, setType, setUserFormula, setUserSummary, setValidateOnChange, setValidators, setValign, setValueField, setValueIconHeight, setValueIconLeftPadding, setValueIconOrientation, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setWidth, setWidth, setWrap`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### TreeGridField

          public TreeGridField()

    - #### TreeGridField

          public TreeGridField(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### TreeGridField

          public TreeGridField(java.lang.String name)

    - #### TreeGridField

          public TreeGridField(java.lang.String name,
                               int width)

    - #### TreeGridField

          public TreeGridField(java.lang.String name,
                               java.lang.String title)

    - #### TreeGridField

          public TreeGridField(java.lang.String name,
                               java.lang.String title,
                               int width)

  - ### Method Detail

    - #### getOrCreateRef

          public static TreeGridField getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setCanExport

          public TreeGridField setCanExport(java.lang.Boolean canExport)

      Dictates whether the data in this field be exported. Explicitly set this to false to prevent exporting. Has no effect if the underlying `dataSourceField` is explicitly set to canExport: false.
      Overrides:
        `setCanExport` in class `ListGridField`
      Parameters:
        `canExport` - New canExport value. Default value is null
      Returns:
        `TreeGridField` instance, for chaining setter calls

    - #### getCanExport

          public java.lang.Boolean getCanExport()

      Dictates whether the data in this field be exported. Explicitly set this to false to prevent exporting. Has no effect if the underlying `dataSourceField` is explicitly set to canExport: false.
      Overrides:
        `getCanExport` in class `ListGridField`
      Returns:
        Current canExport value. Default value is null

    - #### setTreeField

          public TreeGridField setTreeField(java.lang.Boolean treeField)

      The field containing `treeField: true` will display the `Tree`. If no field specifies this property, if a field named after the `Tree.titleProperty` of the Tree is present in `TreeGrid.fields`, that field will show the tree. Note that when using a DataSource, you typically define the title field via `DataSource.titleField` and the generated `ResultTree` automatically uses this field. If none of the above rules apply, the first field in `TreeGrid.fields` is assigned to display the `Tree`.
      Parameters:
        `treeField` - New treeField value. Default value is see below
      Returns:
        `TreeGridField` instance, for chaining setter calls

    - #### getTreeField

          public java.lang.Boolean getTreeField()

      The field containing `treeField: true` will display the `Tree`. If no field specifies this property, if a field named after the `Tree.titleProperty` of the Tree is present in `TreeGrid.fields`, that field will show the tree. Note that when using a DataSource, you typically define the title field via `DataSource.titleField` and the generated `ResultTree` automatically uses this field. If none of the above rules apply, the first field in `TreeGrid.fields` is assigned to display the `Tree`.
      Returns:
        Current treeField value. Default value is see below